Aula is in early access. These docs grow as it does.
Skip to Content
Aula
API ReferenceDomain

Read the custom domain

The school's live main-site domain with the DNS records to publish. Needs a `site:read` token.

GET
/api/v1/domain

The school's live main-site domain with the DNS records to publish. Needs a site:read token.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Response Body

The domain.

application/json
  1. response
id*string
Formatuuid
hostname*string
status*string
Value in"pending""active""misconfigured""failed""removed"
ownershipRecord*
verification*array<>
verifiedAt*|
Formatdate-time
Example Request
curl -X GET 'https://aula.sferarc.com/api/v1/domain'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "hostname": "string",  "status": "pending",  "ownershipRecord": {    "type": "TXT",    "name": "string",    "value": "string"  },  "verification": [    {      "type": "string",      "domain": "string",      "value": "string",      "reason": "string"    }  ],  "verifiedAt": "2019-08-24T14:15:22Z"}